1 (edited by Sampler 2016-09-15 02:48:06)

Topic: Struggling with WR841N v11 [Resolved]

Downloaded the firmware from here:

this site /toh/tp-link/tl-wr841nd

Tried to install it and got the error:

Error code: 18005 Upgrade unsuccessfully because the version of the upgraded file was incorrect. Please check the file name.

Downloaded the latest official firmware from here:

tp-link aus site /download/TL-WR841N.html#Firmware

Renamed the openwrt to match and get the same error, just to test, tried uploading the original firmware with absolutely no changes to the name and still get the same error.

Thought it might be because the firmware says it's the same as on the router:

3.16.9 Build 160325 Rel.62500n
wr841nv11_wr841ndv11_en_3_16_10_up_boot(160616).bin

So tried upping the version numbers, no joy, same error.

Googling suggested trying to put dd-wrt on first, they have only the v9:

dd-wrt site /site/support/other-downloads?path=others%2Feko%2FBrainSlayer-V24-preSP2%2F2014%2F12-22-2014-r25697%2Ftplink_tl-wr841ndv9%2F

but tried it anyway (factory-to-ddwrt.bin) and no joy, renaming as above had no so luck either.

I'm guessing it's checking something within the .bin itself but can't view the archive (as that's beyond my skill, I did give textpad a shot, as, why not, but no such luck).

Any other way to flash this? I see mention of TFTP but this seems like some weird voodoo, how many chickens do I need?

(apologies, new user, can't post links so bastardised them)

Re: Struggling with WR841N v11 [Resolved]

*bump*

Re: Struggling with WR841N v11 [Resolved]

have you tried my version https://www.dropbox.com/s/kp6mfcp5vfpas … y.bin?dl=1 ?

Re: Struggling with WR841N v11 [Resolved]

maurer wrote:

have you tried my version *snip* ?

Thanks, given it a go and still getting the same error:

Error code: 18005
Upgrade unsuccessfully because the version of the upgraded file was incorrect. Please check the file name.

Tried renaming it to the latest official firmware:
wr841nv11_wr841ndv11_en_3_16_9_up_boot(150616)
And same result = (

5 (edited by maurer 2016-09-08 08:48:01)

Re: Struggling with WR841N v11 [Resolved]

can you downgrade to wr841nv11_3_16_9_up_boot(150821) like http://static.tp-link.com/res/down/soft … 150616.zip ?

6 (edited by Sampler 2016-09-08 08:49:34)

Re: Struggling with WR841N v11 [Resolved]

Where would I find that, on the tp link site it only has wr841nv11_wr841ndv11_en_3_16_9_up_boot(150616) (there's no link to historic firmware or alternatives)

oh, nm, saw you'd edited the link in after I posted = )

Re: Struggling with WR841N v11 [Resolved]

Same error, though I think that might be because it's the same firmware that the router shipped with:

Firmware Version:    
3.16.9 Build 160325 Rel.62500n
Hardware Version:    
WR841N v11 00000000

Re: Struggling with WR841N v11 [Resolved]

here's the older one - although it's in Romanian (my native language)
http://static.tp-link.com/res/down/soft … 821_RO.zip

9 (edited by nozombian 2016-09-08 10:30:33)

Re: Struggling with WR841N v11 [Resolved]

Hi, I flashed brand new wr841n v11.1 today with latest trunk build http://downloads.openwrt.org/snapshots/ … actory.bin and there is no problem.

Have you tried tftp method?

Re: Struggling with WR841N v11 [Resolved]

Hi nozombian,

Finally managed to get it to work with the tftp method (over ethernet, rather than usb) - thanks for everyone's help, no idea why the default system gui wouldn't let me update.

Cheers

Re: Struggling with WR841N v11 [Resolved]

Sampler wrote:

no idea why the default system gui wouldn't let me update.

Because of the FCC regulations

Acapulco. Mexico

Re: Struggling with WR841N v11 [Resolved]

But that wouldn't account for it not accepting it's own firmware from their site, plus, FCC don't have jurisdiction in Aus = p

(I know, I know)

Re: Struggling with WR841N v11 [Resolved]

Modified version 150616. New version 160325 will accept this file

https://dl.dropboxusercontent.com/u/503 … 150616.bin

I did modification explained in post: https://forum.openwrt.org/viewtopic.php … 30#p338630

Re: Struggling with WR841N v11 [Resolved]

Thanks NeDark, hopefully that'll help someone else coming across this post

Re: Struggling with WR841N v11 [Resolved]

It works Super here !!!!
Thank you NeDark

Re: Struggling with WR841N v11 [Resolved]

Hello, got experience levels sort of mixed but I do feel comfortable trying to do this. Having said that if I'm looking to put Chaos Calmer on a WR-841N v11 AND I need LUCI is the current thinking to load v10 over the serial port with sysupgrade -F, if so do you need the setenv's and so forth to precede it (I don't see an exact list, model or video to crib from)? Or does someone have a mature patch for v11 with a countable # of things not working? I just bought the serial port but I haven't used this one in this context, doesn't bother me to type long command sequences (my error rate's low) but I don't know enough about what's going on to make my own sequences just yet.

Re: Struggling with WR841N v11 [Resolved]

works here too! smile thank you sooooooo much NeDark. I wasted many hours trying different builds for v11 (non US) before coming across this !! Cheers!

Re: Struggling with WR841N v11 [Resolved]

Hi NeDark, I'm very keen to try your bin file (post #13) but the link to your dropbox doesn't work any more.  Are you able to make this available again please?  Thanks.

Re: Struggling with WR841N v11 [Resolved]

NeDark wrote:

Modified version 150616. New version 160325 will accept this file


I did modification explained in post ...

Hi to all
I am on the same page ... sad
Unfortunately the link is broken
Is it possible to reupload the file to another web hosting ?
Many thanks
Paolo

20 (edited by mh3g 2017-04-21 07:21:17)

Re: Struggling with WR841N v11 [Resolved]

@paolocorpo

Look here for download
Guarda qui per il download

http://www.dd-wrt.com/phpBB2/viewtopic. … 65#1069165

21 (edited by paolocorpo 2017-04-21 10:20:29)

Re: Struggling with WR841N v11 [Resolved]

mh3g wrote:

@paolocorpo

Look here for download
Guarda qui per il download
...

Firstable many thanks for your support
Your link goes to a web page of DD-WRT forum where you=mh3g suggests to go to OPENWRT forum to this 3D
It is a closed circle smile

Do you have chance to upload the patched firmware that allows to upgrade with custom firmware ?
The link of Nedark is not working (as you can try)
Can you confirm that after upgraded using this firmware provided by NeDark I will be able to install one of my favourite firmare custom OPENWRT or DD-WRT ??
Pratically my question is : the fimrware provided by NeDark substitutes the official firmware with a new modified able to accept later a custom firmware or is itself a OPENWRT firmware ?

Grazie
Paolo

22 (edited by mh3g 2017-04-21 11:25:06)

Re: Struggling with WR841N v11 [Resolved]

@paolocorpo
You need to register to ddwrt forum to view the file to download attached in the discussion ;-)

Ti devi registrare al forum di ddwrt per visualizzare il file da scaricare allegato nella discussione. ;-)

23 (edited by paolocorpo 2017-04-21 12:10:00)

Re: Struggling with WR841N v11 [Resolved]

Thanks
I got it
I need to reset the router before use this patched firmware ?

Can you please support me with my other questions/doubt s ?

Re: Struggling with WR841N v11 [Resolved]

With this file you unlock the router. After this flash the router is unlocked forever but you dont reflash again the orginal firmware 160325 from tplink (is locked).  From the upgrade page, after the flash,  you can install other firmware like ddwrt or lede or openwrt or gargoyle without the 18005 error.
Reset not required, my router works great. For other questions no problem.

Re: Struggling with WR841N v11 [Resolved]

Many Thanks
I installed the patched firmware by NeDark
After I installed the DD-WRT firmware
NO PROBLEM !!!
VERY GOOD !!